<?php

namespace App\Widgets;

use Arrilot\Widgets\AbstractWidget;

class IconBtnEditWidget extends AbstractWidget
{
    /**
     * Treat this method as a controller action.
     * Return view() or other content to display.
     */
    public function run(): \Illuminate\Contracts\View\View|\Illuminate\Contracts\View\Factory|\Illuminate\Foundation\Application
    {
        $url = $this->config['url'];


        return (new ActionButtonWidget([
            'label' => "fa-solid fa-pen",
            'url' => $url,
            'btn_type' => "success",
            'title' => "Редактировать"
        ]))->run();
    }
}
