<?php

namespace App\Widgets;

use Arrilot\Widgets\AbstractWidget;

class IconBtnListWidget extends AbstractWidget
{
    /**
     * Treat this method as a controller action.
     * Return view() or other content to display.
     */
    public function run()
    {
        $url = $this->config['url'];

        return (new ActionButtonWidget([
            'label' => "fa-regular fa-rectangle-list",
            'url' => $url,
            'btn_type' => "primary",
            'title' => "Список"
        ]))->run();
    }
}
