<?php

namespace App\Widgets;

use Arrilot\Widgets\AbstractWidget;

class IconBtnViewWidget extends AbstractWidget
{
    /**
     * Treat this method as a controller action.
     * Return view() or other content to display.
     */
    public function run(): \Illuminate\Contracts\View\View|\Illuminate\Contracts\View\Factory|\Illuminate\Foundation\Application
    {
        $url = $this->config['url'];

        return (new ActionButtonWidget([
            'btn_type' => "primary",
            'label' => "fa-regular fa-eye",
            'url' => $url,
            'title' => "Просмотреть"
        ]))->run();
    }
}
